Subject: Re: [PATCH] mailmap: update my entry with new email address

From: Ramsay Jones <[email-masked]>
Date: Tue, 1 Sep 2015 18:14:10 +0100

Hi Johannes,

On 01/09/15 17:11, Johannes Schindelin wrote:
> Hi Ramsay,
>
> On 2015-09-01 17:50, Ramsay Jones wrote:
>
>> diff --git a/.mailmap b/.mailmap
>> index ece2951..e5b4126 100644
>> --- a/.mailmap
>> +++ b/.mailmap
>> @@ -186,7 +186,7 @@ Philip Jägenstedt <[email-masked]>
>> <[email-masked]>
>>  Philipp A. Hartmann <[email-masked]> <[email-masked]>
>>  Philippe Bruhat <[email-masked]>
>>  Ralf Thielow <[email-masked]> <[email-masked]>
>> -Ramsay Allan Jones <[email-masked]>
>> +Ramsay Jones <[email-masked]> <[email-masked]>
>>  René Scharfe <[email-masked]> <[email-masked]>
>>  Robert Fitzsimons <[email-masked]>
>>  Robert Shearman <[email-masked]> <[email-masked]>
> The idea of the .mailmap file is to fix inconsistent names in the history. For example, if you look e.g. at commit 6ebdee5af47df0c64354e452419015a694c25f5f, you will see that your middle name was recorded, but if you look e.g. at f84df81f654aeb0ac4582e0b3be162cba6ea5232 you will see that it was not always recorded with your changes.

Hmm, I assume you are using 'git log' or 'git show' to look at these; try this:

    $ git show --use-mailmap 6ebdee5af47df0c64354e452419015a694c25f5
    $ git log -1 --use-mailmap f84df81f654aeb0ac4582e0b3be162cba6ea523

or indeed, this:

    $ git check-mailmap "Ramsay Allan Jones <[email-masked]>"
    Ramsay Jones <[email-masked]>
    $

Also, 'git shortlog'  seems to be working just fine. (The first few commits, which include
my middle name, were a mistake; back then git used to look into the GECOS field if
you didn't set your name in the config ...). [If it isn't clear, I don't want to see my middle
name!]

Yes, I was a little surprised that '--use-mailmap' was not on by default, but then I have a
very vague recollection of a discussion on the list which decided otherwise. (I'm far too
lazy to search the archives ...).

ATB,
Ramsay Jones

>
> Therefore I would recommend leaving the old line in place, and just *adding* another one.
>
> Besides, for consistency I would leave the middle name in there. Otherwise, people might be wondering why their shortlog calls bring up some other name. In other words, if you add a new line, you really want to use the same clear name as before.
>
> You actually do not even need to add a new line if you plan on submitting patches with your middle name. Remember: the main purpose of .mailmap is to support shortlog, i.e. appropriate grouping of patches by person (such as the two commits I mentioned above).
>
> Ciao,
> Johannes
>
> P.S.: That's a major bummer on your three forced-offline weeks. I feel with ya!
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>